| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RootHistCnv::DirectoryCnv Class Reference

`#include <DirectoryCnv.h>`

Inheritance diagram for RootHistCnv::DirectoryCnv:

[legend]
Collaboration diagram for RootHistCnv::DirectoryCnv:

[legend]
List of all members.

## Detailed Description

Definition at line 18 of file DirectoryCnv.h.

## Public Member Functions
virtual StatusCode | createObj (IOpaqueAddress *pAddr, DataObject *&refpObj)
| Create the transient representation of an object.
virtual StatusCode | createRep (DataObject *pObj, IOpaqueAddress *&refpAddr)
| Convert the transient object to the requested representation.
| DirectoryCnv (ISvcLocator *svc)
| Standard constructor.
| DirectoryCnv (const CLID &clid, ISvcLocator *svc)
| Standard constructor.
virtual | ~DirectoryCnv ()
| Standard destructor.
## Static Public Member Functions
static const CLID & | classID ()
| Inquire class type.

## Constructor & Destructor Documentation

RootHistCnv::DirectoryCnv::DirectoryCnv | ( | ISvcLocator * | svc | ) | `[inline]`

Standard constructor.

Definition at line 27 of file DirectoryCnv.h.

    00027 : RConverter(CLID_DataObject, svc) {}

RootHistCnv::DirectoryCnv::DirectoryCnv | ( | const CLID & | clid,
|  | ISvcLocator * | svc |
| ) |  |  | `[inline]`

Standard constructor.

Definition at line 29 of file DirectoryCnv.h.

    00029 : RConverter(clid, svc) {}

virtual RootHistCnv::DirectoryCnv::~DirectoryCnv | ( |  | ) | `[inline, virtual]`

Standard destructor.

Definition at line 31 of file DirectoryCnv.h.

    00031 {}

## Member Function Documentation

StatusCode RootHistCnv::DirectoryCnv::createObj | ( | IOpaqueAddress * | pAddr,
|  | DataObject *& | refpObj |
| ) |  |  | `[virtual]`

Create the transient representation of an object.

Reimplemented from Converter.

Definition at line 15 of file DirectoryCnv.cpp.

References StatusCode::SUCCESS.

    00017 {
    00018   refpObject = new DataObject();
    00019   return StatusCode::SUCCESS;
    00020 }

StatusCode RootHistCnv::DirectoryCnv::createRep | ( | DataObject * | pObj,
|  | IOpaqueAddress *& | refpAddr |
| ) |  |  | `[virtual]`

Convert the transient object to the requested representation.

Reimplemented from RootHistCnv::RConverter.

Definition at line 24 of file DirectoryCnv.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), RootHistCnv::RConverter::changeDirectory(), RootHistCnv::RConverter::createAddress(), StatusCode::FAILURE, and DataObject::name().

    00024                                                                               {
    00025   if ( changeDirectory(pObj) ) {
    00026     const char* d_nam = pObj->name().c_str()+1;
    00027     if (! gDirectory->GetKey(d_nam) ) {
    00028       gDirectory->mkdir(d_nam);
    00029     }
    00030     gDirectory->cd(d_nam);
    00031     return createAddress(pObj, gDirectory, 0, refpAddr);
    00032   }
    00033   refpAddr = 0;
    00034   return StatusCode::FAILURE;
    00035 }

static const CLID& RootHistCnv::DirectoryCnv::classID | ( |  | ) | `[inline, static]`

Inquire class type.

Definition at line 25 of file DirectoryCnv.h.

References CLID_DataObject.

    00025 {  return CLID_DataObject;    }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/RootHistCnv/v9r16/src/DirectoryCnv.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/RootHistCnv/v9r16/src/DirectoryCnv.cpp